# Fetch all unique items and their min price and count

`GET /v1/prices`

Prices are integers. `1000` = `1 USD`.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `game` | query | enum | optional | Which game would you like to fetch items from |
| `minified` | query | enum | optional | Will return additional data about items if set to 0 |
| `min_price` | query | number | optional | Minimum item price |
| `max_price` | query | number | optional | Maximum item price |
| `search` | query | string | optional | Search by part of the name, ex: 'hardened'. |
| `single` | query | enum | optional | Will select only one item if set to 1 |

## Example (curl)

```bash
curl -X GET 'https://api.waxpeer.com/v1/prices?game=csgo&minified=1&single=1'
```

## Example response

```json
{
  "success": true,
  "items": [
    {
      "name": "★ Hand Wraps | Cobalt Skulls (Minimal Wear)",
      "count": 5,
      "min": 937999,
      "img": "https://community.akamai.steamstatic.com/economy/image/-9a81dlWLwJ2UUGcVs_nsVtzdOEdtWwKGZZLQHTxDZ7I56KU0Zwwo4NUX4oFJZEHLbXH5ApeO4YmlhxYQknCRvCo04DfVlxgLQFFibKkJQN3wfLYYgJK7dKyg5KKh8j4NrrFnm5D8fp3i-vT_I_KilihriwvOCyveMX6Ll9pORy_pgD8lrvxgJfpvpWamnZn6XUl5SmJm0DjhhlFbedp1PWYH1jNVaUcSqOKBnuCtYczFntLO18msw",
      "steam_price": 990000,
      "rarity_color": "#EB4B4B",
      "type": "Gloves"
    }
  ]
}
```

## Responses

- `200` successful operation

## Notes for agents

- Auth is the query parameter `api`, not an Authorization header.
- See [/statuses.md](/statuses.md) for numeric trade status plus `escrow_status` / `release_date`.
- Prefer GET /v2/search-items-by-name over v1.
- Do not use GET /v1/ready-to-transfer-p2p; use the [trade websocket](/websocket.md).
